version: '3.5'

services:

############# Frontend #############

  fe-webcomp:
    image: registry.gitlab.com/openkonsequenz/usermodules/gridfailureinformation/gridfailureinformation.frontend/tag/gfi-web-comp:2.0.1
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.gfiwebcomp.rule=Host(`webcomp.gfi.${ROOT_DOMAIN:-localhost}`)"
      - "traefik.http.routers.gfiwebcomp.entrypoints=web"
    ports:
      - "3001:80"
    networks:
      - openknet
    volumes:
      - ./configFrontend/configWebcomp:/usr/share/nginx/html/config

  fe-mapapp:
    image: registry.gitlab.com/openkonsequenz/usermodules/gridfailureinformation/gridfailureinformation.frontend/tag/gfi-map-app:2.0.1
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.gfimapapp.rule=Host(`mapapp.gfi.${ROOT_DOMAIN:-localhost}`)"
      - "traefik.http.routers.gfimapapp.entrypoints=web"
    networks:
      - openknet
    volumes:
      - ./configFrontend/configMapapp:/usr/share/nginx/html/config

  fe-tableapp:
    image: registry.gitlab.com/openkonsequenz/usermodules/gridfailureinformation/gridfailureinformation.frontend/tag/gfi-table-app:2.0.1
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.gfitableapp.rule=Host(`tableapp.gfi.${ROOT_DOMAIN:-localhost}`)"
      - "traefik.http.routers.gfitableapp.entrypoints=web"
    networks:
      - openknet
    volumes:
      - ./configFrontend/configTableapp:/usr/share/nginx/html/config

  fe-webcache:
    image: registry.gitlab.com/openkonsequenz/usermodules/gridfailureinformation/gridfailureinformation.frontend/tag/gfi-web-cache:2.0.1
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.gfiwebcache.rule=(Host(`webcomp.gfi.${ROOT_DOMAIN:-localhost}`) || Host(`mapapp.gfi.${ROOT_DOMAIN:-localhost}`) || Host(`tableapp.gfi.${ROOT_DOMAIN:-localhost}`)) \
        && (PathPrefix(`/public-settings`) || PathPrefix(`/public-sit`))"
      - "traefik.http.routers.gfiwebcache.entrypoints=web"
      - "traefik.http.services.gfiwebcache.loadbalancer.server.port=3000"
    ports:
      - "3000:3000"
    networks:
      - openknet
    volumes:
      - ./configFrontend/configWebcache:/usr/share/nginx/html/config


networks:
  openknet:
    name: openknet
    driver: bridge
